Subject: realpath redeclaration

From: [email-masked]
Date: Tue, 9 Sep 1997 23:46:16 +0000

When running "build ptx" on a sequent SE20 running DYNIX/ptx 4.4 I get this :-

Making ftpd.
        gcc -O -DDEBUG -I.. -I../support -L../support -c ftpd.c
ftpd.c:143: conflicting types for `realpath'
/usr/local/lib/gcc-lib/i386-sequent-sysv4/2.7.2/include/stdlib.h:231: previous 
declaration of `realpath'
*** Error code 1
Make: .  Stop.

I am compiling under gcc 2.7.2 but I'm a sysad not a coder. Can anybody help me 
get round this ?

Martin Sims

--

**********************************************************************
DST International   Tel:+44 181 390 5000    www.dstinternational.co.uk 

This message and any attachments to it is intended only for the 
individual or company to which it is addressed and may contain 
information which is privileged, confidential or prohibited from 
disclosure or unauthorised use.  If the recipient of this 
transmission is not the intended recipient, or the employee or agent 
responsible for delivering such materials to the intended recipient, 
you are hereby notified that any use, any form of reproduction, 
dissemination, copying, disclosure, modification, distribution and/or 
publication of this e-mail message or its attachments other than by 
its intended recipient is strictly prohibited by the sender.  

If you have received it in error, please notify us immediately by 
telephone on the number above and destroy the message and all copies 
in your possession.
**********************************************************************

---

From: [email-masked]
Date: 10 Sep 1997 22:47:20 GMT

Pink elephants with an attitude inspired [email-masked] to tell garfield.mail.wu-ftpd:
: When running "build ptx" on a sequent SE20 running DYNIX/ptx 4.4 I get this :-

: Making ftpd.
:         gcc -O -DDEBUG -I.. -I../support -L../support -c ftpd.c
: ftpd.c:143: conflicting types for `realpath'
: /usr/local/lib/gcc-lib/i386-sequent-sysv4/2.7.2/include/stdlib.h:231: previous 
: declaration of `realpath'
: *** Error code 1
: Make: .  Stop.
:  

: I am compiling under gcc 2.7.2 but I'm a sysad not a coder. Can anybody help me 
: get round this ?

Having run into a similar thing when trying to compile an early version on
FreeBSD you may want to check your src/conf.h file for the following line:

#define realpath realpath_on_steroids   /* hack to work around unistd.h */

which should be the last one. The config/config.fbs file has:

/* Freebsd libc already has a "realpath"; this hack bypasses it. */
#define realpath realpath_on_steroids

which config/config.ptx doesn't mention so my guess is that you need to use
that 'realpath_on_steroids' thing for ptx as well. Now, how to hack this
into the source.. I'm not a coder either :) but you could start by adding
that #define to config/config.ptx or /* */ the declaration of realpath
in ftpd.c (i.e. not declare it there and have stdlib.h take care of it)
Of course, this may be all wrong in which case Stan or Kent will jump
in and lart me for the luser that I am who should really be installing
a mailserver at the moment but is waiting for a 8Mb testfile to be
transferred over a UUCP connection anyway.

-- 
Perry Rovers ([email-masked])